Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
Age based premissions for registering and viewing forums Details »
Age based premissions for registering and viewing forums
Mod Version: 1.00, by Xoligy (Member) Xoligy is offline
Developer Last Online: Mar 2013 I like it Show Printable Version Email this Page

This modification is in the archives.
vB Version: 3.6.4 Rating: (4 votes - 5.00 average) Installs: 123
Released: 10 Jan 2007 Last Update: 10 Jan 2007 Downloads: 487
Not Supported DB Changes Uses Plugins Is in Beta Stage  

This is based on this 3.5 plug-in. Although it uses the same hook locations and similar phrases, I ended up recoding it so none of the original code is used. To install simply download and install the XML file via the Plugin & Product manager. You can then alter the registration requirements via the vBulletin Settings option and the minimum age to view a specific forum by editing it using the forum manager - again it should appear near the bottom.

New features:
  • Updated for vBulletin 3.6.4 (should work on 3.6.x)
  • More accurate (the previous only checked month and year).

Original features:
  • Specify minimum age required to register.
  • Limit access to forums based on age.

Disclaimer:
Because users can lie about their age, this many not fulfil the legal requirements for adult content. I accept no responsibility for how this is used.

You're free to do what you like with this code, although credit is appreciated, it's not required.

Brought to you by eXaltic - vBulletin skins.

Download Now

Only licensed members can download files, Click Here for more information.

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
  #46  
Old 29 Mar 2009, 18:25
Stepahnie123 Stepahnie123 is offline
 
Join Date: Oct 2008
That works a treat, thank you
Reply With Quote
  #47  
Old 29 Dec 2009, 21:18
Tyran1 Tyran1 is offline
 
Join Date: Jan 2007
Location: Deutsches Reich
Support for 3.8.4 ??
Reply With Quote
  #48  
Old 22 Nov 2010, 00:04
Vick98 Vick98 is offline
 
Join Date: Nov 2010
Can this be updated for 4.0 + versions?
Reply With Quote
  #49  
Old 29 Nov 2010, 18:06
TheLastSuperman's Avatar
TheLastSuperman TheLastSuperman is offline
 
Join Date: Sep 2008
Real name: Michael Miller Jr
Originally Posted by Tyran1 View Post
Support for 3.8.4 ??
This will work fine on 3.8.4.

Originally Posted by Vick98 View Post
Can this be updated for 4.0 + versions?
Same for 4.0.x it will work fine.
__________________
Daddy Does Dios and Figs!
https://www.linkedin.com/in/thelastsuperman

Search - Use the search feature to find similar issues/answers.
Information - Include screenshots, copy/pasted error codes, url etc.
Fixed - Please return to your thread/post and let us know how it was fixed!
Thanks - For participating! Click the "Like" on a post if someone helped you!
Reply With Quote
  #50  
Old 15 Jun 2012, 23:28
Kirk Fitzgerald's Avatar
Kirk Fitzgerald Kirk Fitzgerald is offline
 
Join Date: Apr 2012
Real name: Kirk
Works perfectly in 4.2, thank you.
Reply With Quote
  #51  
Old 05 Mar 2016, 08:37
RaiinbowEyes RaiinbowEyes is offline
 
Join Date: Jun 2011
Works great on v4.2.2! Seems to also translate over to Tapatalk, which is great! Thank you very much
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 18:35.

Layout Options | Width: Wide Color: